%global momorel 3
%global qtver 4.6.2

Summary:        cross-platform twitter client
Name:           cardinal
Version:        0.4.5
Release:        %{momorel}m%{?dist}
License:        GPLv3
Group:          Applications/Internet
URL:            http://cardinal.zimmy.co.uk/index.shtml
Source0:        http://cardinal.zimmy.co.uk/dist/%{version}/%{name}-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-0.4-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt-devel >= %{qtver}
BuildRequires:  kdelibs-devel
BuildRequires:  openssl-devel
Requires:       qt >= %{qtver}
Requires:       kdebase-workspace
Requires:       openssl

%description
Cardinal is a proper cross-platform twitter client. While it is early in it's stages, it has a plethora of features like:
* Threaded Timeline View
* Category Filtering (like lists)
* Categories support accounts and searches
* SuperTweet Global Compose Hotkey on Windows
* Tabbed Interface
* Multiple Accounts
* Searching in tabs
* OAuth

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .linking

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

desktop-file-install \
  --delete-original \
  --remove-category=Application \
  --remove-key=Encoding \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.5-3m)
- full rebuild for mo7 release

* Mon Jul 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.5-2m)
- add desktop-file-install script

* Sat Jul 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.5-1m)
- update to 0.4.5

* Wed Jul  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4-1m)
- initial build for Momonga Linux
